--- title: "restoreNasVolumeWithSnapshot" slug: "storage-vnas-snapshot-restorenasvolumewithsnapshot" updated: 2026-09-17T10:12:27Z published: 2026-09-17T10:12:27Z canonical: "api.ncloud-docs.com/storage-vnas-snapshot-restorenasvolumewithsnapshot" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # restoreNasVolumeWithSnapshot Available in VPC You can use a snapshot to restore a NAS volume. Note - After you restore a NAS volume, you can view the recovery history on that volume. - When you restore a NAS volume, only the snapshot used for recovery and any snapshots created before it are retained; snapshots created after the point of recovery are lost. ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | GET \| POST | /vnas/v2/restoreNasVolumeWithSnapshot | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all NAS (VPC) APIs, see [NAS (VPC) request headers](/docs/en/storage-vnas#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `nasVolumeInstanceNo` | String | Required | Unique number of the NAS volume instance to be restored - See [getNasVolumeInstanceList](/docs/en/storage-vnas-volume-getnasvolumeinstancelist) | | `nasVolumeSnapshotName` | String | Required | Name of the snapshot to be used for recovery - See [getNasVolumeSnapshotList](/docs/en/storage-vnas-snapshot-getnasvolumesnapshotlist) | | `regionCode` | String | Optional | Region code of the NAS volume instance to restore - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) (default: `KR`) | | `responseFormatType` | String | Optional | Format type of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vnas/v2/restoreNasVolumeWithSnapshot ?regionCode=KR &nasVolumeInstanceNo=00000000 &nasVolumeSnapshotName=now.20240403.132209 &responseFormatType=xml' \ --header 'x-ncp-apigw-timestamp: {timestamp}' \ --header 'x-ncp-iam-access-key: {access key}' \ --header 'x-ncp-apigw-signature-v2: {API gateway signature}' ``` ## Responses The following describes the response format. ### Response body See [NasVolumeSnapshotList](/docs/en/common-vapidatatype-nasvolumesnapshotlist) for the response body. ### Response status codes For information about the HTTP status codes common to all NAS (VPC) APIs, see [NAS (VPC) response status codes](/docs/en/storage-vnas#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. The snapshot list of the corresponding NAS volume instance is displayed after completing the request. ``` 0 success 1 now.20240403.132209 2024-04-03T13:22:09+0900 290816 false ```